package com.ssj.bean.sys.cardinfo.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_card_award_log")
public class CardAwardLog extends BaseEntity {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7282524241394170953L;
	private String snCode;//中奖sncode
	private String userId;
	private Integer stat;  //1 中奖  0未中奖
	private String awardTel;  //中奖人的电话
	private String awardId;  //奖品ID
	private String cardId;  //活动ID
	private Date createTime;
	
	@Column(name = "sn_code") 
	public String getSnCode() {
		return snCode;
	}
	public void setSnCode(String snCode) {
		this.snCode = snCode;
	}
	@Column(name = "user_id") 
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Column(name = "stat") 
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	@Column(name = "award_tel") 
	public String getAwardTel() {
		return awardTel;
	}
	public void setAwardTel(String awardTel) {
		this.awardTel = awardTel;
	}
	@Column(name = "award_id") 
	public String getAwardId() {
		return awardId;
	}
	public void setAwardId(String awardId) {
		this.awardId = awardId;
	}
	@Column(name = "card_id") 
	public String getCardId() {
		return cardId;
	}
	public void setCardId(String cardId) {
		this.cardId = cardId;
	}
	@Column(name = "create_time",insertable = false, updatable = false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
	

}
